OPENSEARCH-GENQUERY(1)

NAME
opensearch-genquery - Output the URL of a query generated from an OpenSearch Description

SYNOPSIS
opensearch-genquery [-q] [-H] [-A] [-R] [-c COUNT] [-i INDEX] [-p PAGENUM] [-l LANG] [-O ENC] [-I ENC] URL SEARCH TERMS...

DESCRIPTION
Output the URL of a query generated from an OpenSearch Description file at URL, with the specified SEARCH TERMS and other options filled in.

If multiple search types are available, -H, -A and -R can be used to specify which type is wanted. For example, -A -R can be used to request an Atom response, or failing that fall back to RSS. By default the first URL found in the description file is used.

Not all web sites implement all (or any) of the optional OpenSearch parameters. When used with those sites, the corresponding options will be silently ignored.

OPTIONS

-q  Give no output on errors. In this case, consult the exit code to determine errors (See "DIAGNOSTICS").

-H  Request HTML response.

-A  Request Atom response.

-R  Request RSS response.

    -H, -A, and -R can be combined to express response type priority and specify fallback types.

-c COUNT, --count=COUNT
    Request COUNT results.

    OpenSearch parameter: count.

-i INDEX, --startindex=INDEX
    Request results start at offset NUM.

    OpenSearch parameter: startIndex.

-p PAGENUM, --startpage=PAGENUM
    Request results page PAGENUM.

    OpenSearch parameter: pageIndex.

-l LANG, --language=LANG
    Request results in LANG. LANG should be a 2-letter ISO country code (e.g. en or de).

    OpenSearch parameter: language.

-O ENC, --outputencoding=ENC
    Request results encoded in ENC (default: UTF-8).

    OpenSearch parameter: outputEncoding.

-I ENC, --inputencoding=ENC
    Specify search terms are encoded in ENC (default: UTF-8).

    OpenSearch parameter: inputEncoding.

-h, --help
    Show a short help message.

--  End of options.

DIAGNOSTICS
The exit code can be consulted to determine errors, as follows:

0 - Success.
1 - Error fetching OpenSearch Description URL.
2 - Error parsing OpenSearch Description.
3 - No matching search type found.
4 - Cannot find perl module WWW::OpenSearch.
5 - Unhandled error from WWW::OpenSearch.

DEPENDENCIES
Requires the module WWW::OpenSearch (Debian package libwww-opensearch-perl).

BUGS
Only supports GET queries.

Please report any bugs found to ianb@erislabs.net

SEE ALSO
opensearch(1), opensearch-discover(1), surfraw(1), WWW::OpenSearch(3pm), <http://www.opensearch.org/>

AUTHOR
Ian Beckwith <ianb@erislabs.net>

COPYRIGHT AND LICENSE
Copyright 2006 Ian Beckwith <ianb@erislabs.net>

Licensed under the same terms as surfraw.